Bug 121676 - Can't access mounted partitions with Mozilla
Can't access mounted partitions with Mozilla
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 08:36 EDT by depeq
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 09:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description depeq 2004-04-25 08:36:28 EDT
Description of problem:
I've installed Fedora Core 2 - test2 from 3 CDs downloaded from
on my AMD Duron 700 with ECS K7VZA motherboard.
My root partition is ext3 but I have also other partitions on my HDD
but I didn't define any other mountpoints during the installation
process. This is my /etc/fstab:
LABEL=/ / ext3 defaults 1 1
none /dev/pts devpts gid=5,mode=620 0 0
none /dev/shm tmpfs defaults 0 0
none /proc proc defaults 0 0
none /sys sysfs defaults 0 0
/dev/hda5 swap swap defaults 0 0
/dev/cdrom /mnt/cdrom udf,iso9660 noauto,owner,kudzu,ro 0 0
/dev/cdrom1 /mnt/cdrom1 udf,iso9660 noauto,owner,kudzu,ro 0 0
/dev/fd0 /mnt/floppy auto noauto,owner,kudzu 0 0

After the installation I wanted to access my ext2 with Mozilla. So I
mounted it it manually (as I did it on all my previous systems):
# mkdir /priv
# mount /dev/hda11 /priv

After these steps the contents of the partition are visible from
Terminal and from many applications (eg. Konqueror) but Mozilla
doesn't see the directory "/priv" in "File -> Open File..." dialog box
and I can't access any files on it. If I umount the partition Mozilla
sees the /priv directory but it is of course empty. I also can't
access the /mnt directory with Mozilla (it's always invisible).

Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

How reproducible:

Steps to Reproduce:
1. mkdir /priv
2. mount /dev/hda11 /priv
3. open Mozilla
4. open "File->OpenFile..."
5. try to find the priv directory in the dialog box and access files
from the mounted partition... also try to access contents of /mnt
Actual results:
can't acces files from the mounted partition

Expected results:
directories /priv and /mnt should be visible and accessible

Additional info:
Comment 1 John Thacker 2006-10-29 09:11:25 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.